import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CostExplorerClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CostExplorerClient";
import {
  DescribeCostCategoryDefinitionRequest,
  DescribeCostCategoryDefinitionResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeCostCategoryDefinitionCommandInput
  extends DescribeCostCategoryDefinitionRequest {}
export interface DescribeCostCategoryDefinitionCommandOutput
  extends DescribeCostCategoryDefinitionResponse,
    __MetadataBearer {}
export declare class DescribeCostCategoryDefinitionCommand extends $Command<
  DescribeCostCategoryDefinitionCommandInput,
  DescribeCostCategoryDefinitionCommandOutput,
  CostExplorerClientResolvedConfig
> {
  readonly input: DescribeCostCategoryDefinitionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeCostCategoryDefinitionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CostExplorerClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeCostCategoryDefinitionCommandInput,
    DescribeCostCategoryDefinitionCommandOutput
  >;
  private serialize;
  private deserialize;
}
